List trader on-chain order outcomes
GET
/
v1
/
traders
/
{address}
/
orders
List trader on-chain order outcomes
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.testnet.tayho.io/v1/traders/{address}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.testnet.tayho.io/v1/traders/{address}/orders \
--header 'X-API-Key: <api-key>'{
"data": {
"consumedOcoGroups": [
{
"blockNumber": "<string>",
"blockTimestamp": "<string>",
"id": "<string>",
"logIndex": 1,
"ocoGroup": "<string>",
"sessionKey": "<string>",
"trader": "<string>",
"transactionHash": "<string>"
}
],
"orders": [
{
"cancelledAt": "<string>",
"executedAt": "<string>",
"orderHash": "<string>",
"positionId": "<string>",
"sessionKey": "<string>",
"status": "<string>",
"trader": "<string>",
"updatedBlock": "<string>",
"updatedTransactionHash": "<string>"
}
]
}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}Authorizations
Path Parameters
Query Parameters
Last modified on July 24, 2026
⌘I
List trader on-chain order outcomes
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.testnet.tayho.io/v1/traders/{address}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.testnet.tayho.io/v1/traders/{address}/orders \
--header 'X-API-Key: <api-key>'{
"data": {
"consumedOcoGroups": [
{
"blockNumber": "<string>",
"blockTimestamp": "<string>",
"id": "<string>",
"logIndex": 1,
"ocoGroup": "<string>",
"sessionKey": "<string>",
"trader": "<string>",
"transactionHash": "<string>"
}
],
"orders": [
{
"cancelledAt": "<string>",
"executedAt": "<string>",
"orderHash": "<string>",
"positionId": "<string>",
"sessionKey": "<string>",
"status": "<string>",
"trader": "<string>",
"updatedBlock": "<string>",
"updatedTransactionHash": "<string>"
}
]
}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}